    import {ClearButton} from 'TableFilter/src/modules/clearButton.js'

public class | source

# ClearButton

## Constructor Summary

Public Constructor
public | constructor (tf: Object) Clear button component |

## Member Summary

Public Members
public | btnResetEl : * |
public | btnResetHtml : * |
public | btnResetText : * |
public | btnResetTgtId : * |
public | btnResetTooltip : * |
public | prfxResetSpan : string |
public | tf : * |

## Method Summary

Public Methods
public | destroy () Remove clear button UI |
public | init () Build DOM elements |
public | onClick () |

## Public Constructors

### public constructor(tf: Object) source

Clear button component

#### Params:

Name | Type | Attribute | Description
tf | Object |  | TableFilter instance

## Public Members

### public btnResetEl: * source

### public btnResetHtml: * source

### public btnResetText: * source

### public btnResetTgtId: * source

### public btnResetTooltip: * source

### public prfxResetSpan: string source

### public tf: * source

## Public Methods

### public destroy() source

Remove clear button UI

### public init() source

Build DOM elements

### public onClick() source